Bug 166326 - new port: x11/metalock
Summary: new port: x11/metalock
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 22:40 UTC by Timothy Beyer
Modified: 2012-04-07 16:30 UTC (History)
1 user (show)

See Also:


Attachments
metalock.shar (3.82 KB, text/plain)
2012-03-22 22:40 UTC, Timothy Beyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2012-03-22 22:40:00 UTC
Metalock is an enhanced screen locker for the X11 windowing system.

It is designed to be used with a background screen daemon, such as xidle.

(I am the author of the program.)

Fix: The included shar, and all prerequisite shar files
How-To-Repeat: extract shar archive and build port

depends on problem report for devel/ultragetopt:

(see http://www.freebsd.org/cgi/query-pr.cgi?pr=166288 for more details)
Comment 1 Timothy Beyer 2012-03-24 04:42:35 UTC
Hi,

Here is a diff to update to version 0.8.0.  Please apply this before adding the port.

(I previously sent this diff to bug-followup@FreeBSD.org without the
tracking number in the subject, I apologize for the inconvenience)

Regards,
Tim

--- metalock.diff begins here ---
Index: x11/metalock/Makefile
==================================================================
--- x11/metalock/Makefile
+++ x11/metalock/Makefile
@@ -4,11 +4,11 @@
 #
 # $FreeBSD: ports/x11/metalock/Makefile,v 1.00 2012/03/21 00:21:48 beyert Exp $
 #
 
 PORTNAME=	metalock
-PORTVERSION=	0.7.9
+PORTVERSION=	0.8.0
 CATEGORIES=	x11
 MASTER_SITES=	BERLIOS GOOGLE_CODE
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
 	${PORTNAME}_theme-Blue_Marble-1.3${EXTRACT_SUFX}
 

Index: x11/metalock/distinfo
==================================================================
--- x11/metalock/distinfo
+++ x11/metalock/distinfo
@@ -1,4 +1,4 @@
-SHA256 (metalock-0.7.9.tar.bz2) = bc712e6f8c9a8dd8fd5e9a44ac723144922beda5f5af97c5c8402599c25e2771
-SIZE (metalock-0.7.9.tar.bz2) = 11875
+SHA256 (metalock-0.8.0.tar.bz2) = 5a4a36b909ce8ad29fb84885ab5d978db81b36a3b17336008c8958893838cb12
+SIZE (metalock-0.8.0.tar.bz2) = 11919
 SHA256 (metalock_theme-Blue_Marble-1.3.tar.bz2) = 1ae914460290b637cc505f41d9b7f9884b1a751f3831ab522d8c8089f0499983
 SIZE (metalock_theme-Blue_Marble-1.3.tar.bz2) = 390567
--- metalock.diff ends here ---
Comment 2 Carlo Strub freebsd_committer 2012-03-29 10:21:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-04-07 16:22:39 UTC
cs          2012-04-07 15:22:26 UTC

  FreeBSD ports repository

  Modified files:
    x11                  Makefile 
  Added files:
    x11/metalock         Makefile distinfo pkg-descr pkg-plist 
  Log:
  Metalock is an enhanced screen locker for the X11 windowing system. It is
  designed to be used with a background screen daemon, such as xidle.
  
  Current features include:
          - Support for pixmap (image) xpm background and login box.
          - It gives visual feedback as you type the password (Shows username and
            * for each character of password typed.)
          - Bind arbitrary commands to key combinations (allows tasks such as
            pause/un-pause music without unlocking the screen)
          - Optional XFT support for anti-aliased fonts. (This is optional in case
            greater security is desired)
          - Optional Imlib2 support for use of png or jpg formats, which are more
            appropriate for photos or high-color images than xpm.
          - Portable to most UNIX-like operating systems, developed on FreeBSD.
  
  WWW: http://chiselapp.com/user/beyert/repository/metalock/
  
  PR:             ports/166326
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:    wen@ (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.780     +1 -0      ports/x11/Makefile
  1.1       +62 -0     ports/x11/metalock/Makefile (new)
  1.1       +4 -0      ports/x11/metalock/distinfo (new)
  1.1       +16 -0     ports/x11/metalock/pkg-descr (new)
  1.1       +7 -0      ports/x11/metalock/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Carlo Strub freebsd_committer 2012-04-07 16:23:23 UTC
State Changed
From-To: open->closed

Committed. Thank you very much.